Subject: Re: "lock file exists" when fetching in bare clone of repository

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Aug 2025 08:47:22 -0700

Jeff King <[email-masked]> writes:

>> But with batched transactions that's not possible anymore, as we would
>> indeed try to lock the same ref twice. Assuming that this really is the
>> case, I wonder whether we should detect this case, tell the user that
>> it's impossible to store all refs on their system, and then continue
>> regardless while ejecting that specific ref from the transaction.
>
> Maybe it is too optimistic to think that they will just start using
> reftable in Git 3.0, and we can avoid extra code to detect this?

Or we can just tell them to use reftable way before Git 3.0; it is
not like we feel that the reftable is way too unstable that we won't
tag Git 3.0 until it gets ready---it is ready now.